Bug 1653261 - install rsyslog service in the container image
Summary: install rsyslog service in the container image
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: rhgs-server-container
Version: ocs-3.11
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: ---
Assignee: Saravanakumar
QA Contact: Prasanth
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-26 11:57 UTC by Prasanna Kumar Kalever
Modified: 2019-06-25 13:07 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-25 13:07:24 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Prasanna Kumar Kalever 2018-11-26 11:57:05 UTC
Description of problem:

tcmu-runner dumps some of its logs (levels # 0: CRIT # 1: ERROR # 2: WARNING # 3: INFO # 4: DEBUG) into tcmu-runner.log as well as /var/log/messages, while logs with loglevel # 5: DEBUG SCSI CMD, are dumped to stdout (as dumping them to tcmu-runner.log could fill up the disk space)

rsyslogd.service will maintain these copy stdout logs into /var/log/messages

While debugging  other bugs, we found syslog service is not installed as part of containers.


As part of this bug, we should install syslog service and start/enable it.

Manual steps:
# yum install rsyslog
# systemctl enable rsyslog
# systemctl start rsyslog

Comment 2 Prasanna Kumar Kalever 2018-11-26 12:19:49 UTC
Sorry, realized this is not my component, dropping my devel_ack. Will let Saravana take a look.

Comment 3 Niels de Vos 2018-11-28 17:33:33 UTC
Adding rsyslogd or other logger is not really advised for containers. There is a logger on the host already that should capture these messages. If debug logs are needed and manually enabled, can not also the logs from the container host be requested?

It would be easier if this can be configured in the tcmu.conf configuration file to log everything to the selected tcmu-runner.log file. Is that not an option?

Comment 8 Prasanna Kumar Kalever 2019-06-25 13:07:08 UTC
@John & @Niels,

Yes, makesense to me.
I'm okay closing this bug.

Thank you very much!


Note You need to log in before you can comment on or make changes to this bug.